> ## Documentation Index
> Fetch the complete documentation index at: https://docs.verbex.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete built-in tool

> Delete a built-in tool.



## OpenAPI

````yaml /api-reference/openapi.json delete /v2/ai-agents/{ai_agent_id}/builtin-tools/{tool_id}
openapi: 3.1.0
info:
  title: Verbex Platform API
  description: API for managing AI agents, calls, phone numbers, and more.
  version: 1.0.0
servers: []
security: []
paths:
  /v2/ai-agents/{ai_agent_id}/builtin-tools/{tool_id}:
    delete:
      tags:
        - Built-in Tools
      summary: Delete built-in tool
      description: Delete a built-in tool.
      operationId: >-
        delete_builtin_tool_v2_ai_agents__ai_agent_id__builtin_tools__tool_id__delete
      parameters:
        - name: ai_agent_id
          in: path
          required: true
          schema:
            type: string
            title: Ai Agent Id
        - name: tool_id
          in: path
          required: true
          schema:
            type: string
            title: Tool Id
      responses:
        '204':
          description: Successful Response
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````